Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ResponseOptionType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ResponseOptionTypeImpl

    public interface ResponseOptionType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Response Option Type'.

The following features are supported:

- `Return Composed Objects`
- `Return Type`

See Also:
  `QueryPackage.getResponseOptionType()`

Method Summary
`ReturnTypeType` | `getReturnType()` Returns the value of the 'Return Type' attribute.
`boolean` | `isReturnComposedObjects()` Returns the value of the 'Return Composed Objects' attribute.
`boolean` | `isSetReturnComposedObjects()` Returns whether the value of the '`Return Composed Objects`' attribute is set.
`boolean` | `isSetReturnType()` Returns whether the value of the '`Return Type`' attribute is set.
`void` | `setReturnComposedObjects(boolean value)` Sets the value of the '`Return Composed Objects`' attribute.
`void` | `setReturnType(ReturnTypeType value)` Sets the value of the '`Return Type`' attribute.
`void` | `unsetReturnComposedObjects()` Unsets the value of the '`Return Composed Objects`' attribute.
`void` | `unsetReturnType()` Unsets the value of the '`Return Type`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isReturnComposedObjects

    boolean isReturnComposedObjects()

  Returns the value of the 'Return Composed Objects' attribute. The default value is `"false"`.

  If the meaning of the 'Return Composed Objects' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Return Composed Objects' attribute.
  See Also:
    `isSetReturnComposedObjects()`, `unsetReturnComposedObjects()`, `setReturnComposedObjects(boolean)`, `QueryPackage.getResponseOptionType_ReturnComposedObjects()`

### setReturnComposedObjects

    void setReturnComposedObjects(boolean value)

  Sets the value of the '`Return Composed Objects`' attribute.

  Parameters:
    `value` - the new value of the 'Return Composed Objects' attribute.
  See Also:
    `isSetReturnComposedObjects()`, `unsetReturnComposedObjects()`, `isReturnComposedObjects()`

### unsetReturnComposedObjects

    void unsetReturnComposedObjects()

  Unsets the value of the '`Return Composed Objects`' attribute.

  See Also:
    `isSetReturnComposedObjects()`, `isReturnComposedObjects()`, `setReturnComposedObjects(boolean)`

### isSetReturnComposedObjects

    boolean isSetReturnComposedObjects()

  Returns whether the value of the '`Return Composed Objects`' attribute is set.

  Returns:
    whether the value of the 'Return Composed Objects' attribute is set.
  See Also:
    `unsetReturnComposedObjects()`, `isReturnComposedObjects()`, `setReturnComposedObjects(boolean)`

### getReturnType

    ReturnTypeType getReturnType()

  Returns the value of the 'Return Type' attribute. The default value is `"RegistryObject"`. The literals are from the enumeration `ReturnTypeType`.

  If the meaning of the 'Return Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Return Type' attribute.
  See Also:
    `ReturnTypeType`, `isSetReturnType()`, `unsetReturnType()`, `setReturnType(ReturnTypeType)`, `QueryPackage.getResponseOptionType_ReturnType()`

### setReturnType

    void setReturnType(ReturnTypeType value)

  Sets the value of the '`Return Type`' attribute.

  Parameters:
    `value` - the new value of the 'Return Type' attribute.
  See Also:
    `ReturnTypeType`, `isSetReturnType()`, `unsetReturnType()`, `getReturnType()`

### unsetReturnType

    void unsetReturnType()

  Unsets the value of the '`Return Type`' attribute.

  See Also:
    `isSetReturnType()`, `getReturnType()`, `setReturnType(ReturnTypeType)`

### isSetReturnType

    boolean isSetReturnType()

  Returns whether the value of the '`Return Type`' attribute is set.

  Returns:
    whether the value of the 'Return Type' attribute is set.
  See Also:
    `unsetReturnType()`, `getReturnType()`, `setReturnType(ReturnTypeType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD